/* font from google */
@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");
/* roboto  */
@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap");

:root {
  --bgcolor: lightblue;
  --orange: rgb(6, 37, 190);
  --grey: rgb(72, 179, 218);
  --white: white;
  --black: black;
  --lightgrey: lightgoldenrodyellow;
}

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  text-decoration: none;
  list-style: none;
  font-family: "Poppins", sans-serif;
  overflow-x: none;
}

body {
  overflow-x: hidden;
}

.main-container {
  height: 100%;
  width: 100%;
}

/* sidebar start here */
.ham_box {
  text-align: center;
  z-index: 9999;
}

.hamburger {
  position: fixed;
  top: 25px;
  font-size: 25px;
  left: 25px;
  display: none;
  height: 35px;
  width: 40px;
  background-color: #009dff;
  border-radius: 8px;

  /*m*/
}

.hamburger:hover {
  background-color: #130b893c;
}

.main-container .sidebar {
  width: 300px;
  height: 100vh;
  position: fixed;
  top: 0;
  left: 0px;
  background: var(--grey);
  display: flex;
  flex-direction: column;
  align-items: center;
  transition: all 0.5s ease;
  z-index: 9999;
}

.sidebar .sidebar-title {
  width: 100%;
  margin-top: 20px;
  font-weight: 700;
  cursor: pointer;
  position: relative;
  font-family: "Roboto", sans-serif;
}

.sidebar .sidebar-title .x-mark {
  position: absolute;
  top: 5px;
  left: -50px;
  font-size: 25px;
  pointer-events: none;
  /*m*/
  display: none;
}

.sidebar .sidebar-title span {
  color: var(--orange);
}

.sidebar .sidebar-itembox {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  position: absolute;
  top: 180px;
}

.sidebar .sidebar-itembox .sidebar_item {
  background: var(--white);
  padding: 10px 20px;
  display: flex;
  margin-top: 30px;
  justify-content: space-around;
  align-items: center;
  border-bottom: 1px solid var(--grey);
  border-radius: 10px;
  transition: 0.1s;
  font-weight: 500;
}

.active {
  color: var(--orange);
  background: var(--orange);
}

.sidebar-itembox .sidebar_item:hover {
  color: var(--black);
}

.sidebar .sidebar-itembox .spc i {
  margin-right: 10px;
}

/* hover effect */
.sidebar-itembox .sidebar_item:hover {
  transform: scale(1.02);
  background-color: var(--orange);
  cursor: pointer;
}

/* Home starts here  */

.home_container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100vw;
  height: 30rem;
  max-height: 700px;
  line-height: 1.5;
  font-size: larger;
  background-color: var(--bgcolor);
  overflow: auto;
  color: txt;
}

.home_container .home_content {
  width: 500px;
  margin-left: 350px;
}

.home_container span {
  color: var(--orange);
}

.home_container .name {
  margin-bottom: 15px;
}

.home_container .home_image {
  background: var(--bgcolor);
  width: 300px;
  height: 375px;
  border-radius: 50%;
  margin: 0 50px;
}

.home_container .home_image img {
  width: 300px;

  border-radius: 50%;
}

.home_container .home_btn {
  background: var(--orange);
  padding: 10px 20px;
  margin-top: 30px;
  border: none;
  border-bottom: 0.5px solid var(--grey);
  border-right: 0.5px solid var(--grey);
  border-radius: 10px;
  transition: 0.1s;
  outline: none;
  font-size: 16px;
  font-weight: 500;
  color: var(--lightgrey);
}

.home_container .home_btn:hover {
  transform: scale(1.05);
  cursor: pointer;
}

.home_container .home_content {
  animation: slideFade 1s ease-out forwards;
}

/* about section starts here  */
.about_container {
  width: 100vw;
  line-height: 1.5;
  font-size: larger;
  background-color: var(--bgcolor);
}

.about_container .content {
  width: 70%;
  margin-left: 350px;
}

.about_container .content h1 {
  font-size: 2.25rem;
  font-weight: 700;
  font-family: "Roboto", sans-serif;
  width: 70%;
}

.about_container .content h2 {
  font-size: 1.5rem;
  margin-top: 40px;
}

.about_container .content span {
  color: var(--orange);
}

.about_container .content p {
  margin-top: 10px;
}

.personal_details {
  display: flex;
  align-items: center;
  width: 500px;
}

.personal_details ul li {
  padding: 10px 30px;
  border: 1px solid var(--black);
}

.about_container button {
  background: var(--orange);
  padding: 10px 20px;
  margin: 30px 0;
  border: none;
  border-bottom: 0.5px solid var(--grey);
  border-right: 0.5px solid var(--grey);
  border-radius: 10px;
  transition: 0.1s;
  font-size: 16px;
  font-weight: 500;
  color: var(--lightgrey);
  position: absolute;
  left: 350px;
}

.about_container button a:link {
  color: var(--black);
}

.about_container button:hover {
  transform: scale(1.05);
  cursor: pointer;
}

.about_container .education {
  margin-top: 100px;
}

/* education section starts here   */
.education_main_content {
  background: transparent;
  padding: 0px 30px;
  border-left: 4px solid var(--grey);
}

.education_main_content .education_box {
  background-color: var(--white);
  width: 60%;
  margin: 20px 0;
  padding: 20px 30px;
  border-radius: 8px;
  opacity: 80%;
}

.education_main_content .education_box:hover {
  opacity: 1;
  box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
}

.education_main_content .education_box::before {
  content: "";
  position: absolute;
  width: 16px;
  height: 16px;
  border-radius: 50%;
  background-color: var(--grey);
  left: 344px;
}

/* skill section starts here   */
.skill_container {
  width: 100vw;
  background-color: var(--bgcolor);
}

.technicalBar {
  margin-left: 350px;
  margin-top: 0px;
  padding: 30px 0;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
}

.frontend {
  min-width: 50%;
  margin-top: 15px;
}

.technicalBar .backend {
  min-width: 50%;
}

.technicalBar .Tools {
  min-width: 50%;
}

.technicalBar .other {
  min-width: 50%;
}

.technicalBar .heading {
  font-size: 2.25rem;
  font-weight: 700;
  font-family: "Roboto", sans-serif;
}

.skill_container .bar {
  font-size: 23px;
  margin-top: 20px;
}

.skill_container .bar .info span {
  font-size: 17px;
  font-weight: 600;
  animation: showText 0.5s 1s linear forwards;
  opacity: 1;
}

.skill_container .bar .progressBar {
  position: relative;
  border-radius: 10px;
  width: 40%;
  height: 5px;
  background-color: var(--white);
}

@keyframes animate {
  100% {
    transform: scaleX(1);
  }
}

.progressBar span {
  height: 100%;
  width: 90%;
  background-color: var(--orange);
  position: absolute;

  border-radius: 10px;
}

.backend .heading2 {
  margin-left: 0;
  margin-top: 20px;
}

.backend .bar {
  margin-top: 15px;
}

/* project section start here  */
.projects {
  width: 100vw;
  background-color: var(--bgcolor);
}

.projects h1 {
  font-size: 2.25rem;
  font-weight: 700;
  font-family: "Roboto", sans-serif;
  margin-left: 350px;
  padding-top: 30px;
}

.gallery_container {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  padding: 20px 0;
  background-color: var(--bgcolor);
  border: none;
  margin-left: 350px;
  margin-top: 30px;
}

.gallery_item {
  flex-basis: 24%;
  min-width: 500px;
  min-height: 250px;
  margin-bottom: 15px;
  cursor: pointer;
  opacity: 0.85;
  transition: opacity 0.3s ease;
}

.gallery_item img {
  width: 100%;
  height: 100%;
  border-radius: 8px;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
}
.projrct_btn_click {
  position: relative;
  left: 87%;
  bottom: 103%;
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.3s ease, transform 0.3s ease;
  transform: translateY(10px); /* initially slide down */
  padding: 5px 1rem;
  border-radius: 10px;
  border: 1px solid black;
  background-color: blue;
}
.projrct_btn_click {
  padding: 5px 1rem;
  border-radius: 10px;
  border: 1px solid black;
  background-color: blue;
}
.projrct_btn_click a {
  color: white;
}
.gallery_item:hover {
  opacity: 1;
  .projrct_btn_click {
    visibility: visible;
    opacity: 1;
    transform: translateY(0); /* slide up into position */
  }
}

/* Lightbox Styles */
.lightbox {
  display: none;
  position: fixed;
  z-index: 99999;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.8);
  justify-content: center;
  align-items: center;
}

.lightbox_content {
  max-width: 80%;
  max-height: 80%;
}

.close {
  position: absolute;
  top: 20px;
  right: 30px;
  color: var(--white);
  font-size: 40px;
  font-weight: bold;
  cursor: pointer;
  transition: color 0.3s ease;
}

.close:hover {
  color: #f00;
}

.prev,
.next {
  cursor: pointer;
  position: absolute;
  top: 50%;
  width: auto;
  margin-top: -22px;
  padding: 16px;
  color: var(--white);
  font-weight: bold;
  font-size: 24px;
  transition: 0.6s ease;
  border-radius: 0 3px 3px 0;
  user-select: none;
}

.next {
  right: 0;
  border-radius: 3px 0 0 3px;
}

.prev {
  left: 0;
  border-radius: 3px 3px 0 0;
}

.prev:hover,
.next:hover {
  background-color: rgba(0, 0, 0, 0.8);
}

/* <!-- contact us form  --> */
.Main_contact_box {
  width: 100vw;
  background-color: var(--bgcolor);
}

.contact {
  margin-left: 350px;
  padding-top: 30px;
  width: 80vw;
}

.contact h2 {
  font-weight: 700;
  font-family: "Roboto", sans-serif;
  font-size: 2.5rem;
}

.contact .doubt {
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
  margin: 50px 0;
}

.contact .doubt h2 {
  color: var(--orange);
}

.contact_container {
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  flex-wrap: wrap;
  padding: 20px 0;
  margin-top: 40px;
}

.contact_container .contact_box {
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
}

.contact_box i {
  font-size: 1.5rem;
  color: var(--orange);
}

.contact_box h3 a:link {
  color: var(--black);
}

.contact_box > h3 {
  margin-top: 10px;
}

/* form  */

.contact-form {
  background-color: transparent;
  padding: 20px;
  border-radius: 8px;
  width: 100%;
}

.contact-form h2 {
  text-align: center;
}

.form-control {
  margin-bottom: 10px;
  background-color: rgba(71, 151, 178, 0.21);
  border: 1px solid var(--black);
  border-radius: 20px;
  padding: 20px;
  width: 100%;
  color: var(--black);
  font-size: 14px;
  stroke: none;
}

.form-control::placeholder {
  color: var(--black);
  opacity: 1;
}

.contact-form .btn {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

form div button {
  background-color: var(--grey);
  color: var(--black);
  border: none;
  padding: 20px 30px;
  border-radius: 10px;
  cursor: pointer;
  font-size: 1rem;
  margin-top: 20px;
}

button:hover {
  background-color: var(--orange);
  transform: scale(1.02);
  color: var(--white);
}
